<?php
/**
 * Copyright © Firebear Studio, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace Firebear\PlatformSap\Model\Import\Source\Gateway;

/**
 * Sap order items gateway
 */
class OrderItems extends AbstractGateway
{
    const SAP_ENTITY_ENDPOINT = 'Order/Items';

    /**
     * @param $data
     * @return false|mixed
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function getSourceData($data)
    {
        $data['sap_entity_endpoint'] = self::SAP_ENTITY_ENDPOINT;
        $data['sap_additional_params']['sap_id'] = $data['sap_id'];
        return parent::getSourceData($data);
    }
}
