<?php
/**
 * @copyright: Copyright © 2021 Firebear Studio GmbH. All rights reserved.
 * @author: Firebear Studio <fbeardev@gmail.com>
 */

namespace Firebear\PlatformSap\Model\Job;

use Firebear\ImportExport\Model\Job\Processor as BaseProcessor;
use Firebear\PlatformSap\Model\Exception\ApiException;
use Magento\Framework\Exception\LocalizedException;

/**
 * Class Processor
 * @package Firebear\PlatformSap\Model\Job
 */
class Processor extends BaseProcessor
{

    /**
     * @param $data
     * @param $jobId
     *
     * @return bool|int
     */
    public function dataValidate($data, $jobId)
    {
        try {
            $this->isValidated = $this->validate($data);
        } catch (ApiException $e) {
            $this->getImportModel()->addLogComment($e->getMessage());
            throw new LocalizedException(__($e->getMessage()));
        } catch (\Exception $e) {
            $this->getImportModel()->addLogComment($e->getMessage());
            $this->isValidated = false;
        }
        return $this->isValidated;
    }
}
