<?php
/**
 * @copyright: Copyright © 2020 Firebear Studio. All rights reserved.
 * @author   : Firebear Studio <fbeardev@gmail.com>
 */

namespace Firebear\PlatformSap\Model\Order;

/**
 * Class UpdateConsumer
 * @package Firebear\PlatformSap\Model\Order
 */
class UpdateConsumer
{
    /**
     * @var \Firebear\PlatformSap\Model\Export\Adapter\Gateway\Order
     */
    private $gateway;

    /**
     * UpdateConsumer constructor.
     * @param \Firebear\PlatformSap\Model\Export\Adapter\Gateway\Order $gateway
     */
    public function __construct(
        \Firebear\PlatformSap\Model\Export\Adapter\Gateway\Order $gateway
    ) {
        $this->gateway = $gateway;
    }

    /**
     * @param $orderId
     */
    public function processMessage($orderId)
    {
        $this->gateway->addOrder($orderId);
    }
}
